Page MenuHomePhabricator

Wikimania Hackathon Volunteering: Opening / Closing Documentation
Closed, ResolvedPublic0 Story Points

Description

Detailed documentation of the opening session open mic and the closing session / showcase will be taken at the Wikimedia hackathon so that other participants and people who were not in attendance will be able to see what happened.

We need a few volunteers to help with this task. Here are the descriptions of the roles. Please sign up below!
Lead note takers will take most of the notes during the session. The note helper will help the lead note taker fill in gaps as they are taking notes. The back up note taker will be watching in case any additional help is needed and will fill in if either note taker is not able to attend the session at the last moment. The link finder will be searching Phab and our wikis to add any relevant links to notes.


For the Showcase notes - Ideally, we could end up with something that can easily be converted into something like the wikitable here, which was a good new invention after the Prague hackathon.
https://www.mediawiki.org/wiki/Wikimedia_Hackathon_2019/Outcomes#Completed_projects
That's the priority.
That's what'll be broadcast beyond the attendees. We want something good for non-techies, and/or non-English-first-lang, etc.
A short and precise summation. Not a full transcription of every word spoken (which we've historically done, and then had to edit extensively afterwards)
Note the session should be being video-recorded, too.

Event Timeline

Rfarrand triaged this task as Normal priority.Aug 10 2019, 12:15 AM
Rfarrand created this task.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 10 2019, 12:15 AM
Rfarrand updated the task description. (Show Details)Aug 10 2019, 12:17 AM
mmarble updated the task description. (Show Details)Aug 10 2019, 1:33 AM
Quiddity updated the task description. (Show Details)Aug 10 2019, 7:20 PM
Quiddity updated the task description. (Show Details)Aug 10 2019, 7:25 PM

Back up notes for both Opening session: Wednesday August 14, 9:30 - 10:30 and Closing session / Showcase, Sunday August 18, 14:30 - 15:30

DavidMCEddy updated the task description. (Show Details)Aug 11 2019, 12:53 PM
Quiddity updated the task description. (Show Details)Aug 11 2019, 6:40 PM
Rfarrand updated the task description. (Show Details)Aug 12 2019, 8:58 AM
Trizek-WMF updated the task description. (Show Details)Aug 12 2019, 9:30 AM
Trizek-WMF added a subscriber: Trizek-WMF.
Isaac updated the task description. (Show Details)Aug 13 2019, 3:50 PM
Isaac added a subscriber: Isaac.
Quiddity added a comment.EditedAug 14 2019, 10:00 AM

Opening session notes

(copied from https://etherpad.wikimedia.org/p/wikimaniahack2019opening - ping me if updates are needed.)

Andre Costa: Welcome! Glad to see many familiar faces, but also many newcomers. Wikimania is the culmination of a year long effort by many volunteers, WMF, and WMSE. Happy hacking!

Rachel: Welcome! Starting off with organizing team. [Slide]

Rachel: Organizing team: Johan, Andre, Siebrand, Nick.
We are looking to recruit more people for future Hackathons. The organizers are here as voluteers.
Program and scheduling
We have another main hackathon every year. We have another main hackathon every year.
If you want a more intense hackathon experience, check out our future calendar. Anyone is invited to schedule and organize a session at any time. Local volunteers will be on our telegram channel. Schedule changes hourly, at least.
This is an unconference - built by the participants. Some are scheduled the same day that they happen.
This is a working event. Mostly people will be working on their projects in the main hacking space.
Follow the announcement channel

There are 2 main spaces, and a 3rd disconnected space.

We do not have a participant cap
We have 250 people registered for this event.

[walkthrough of the map]
Please edit freely to clarify!
Map: of Wikimania is more complicated - https://wikimania.wikimedia.org/wiki/2019:Hackathon/Navigation
After this intro, we have 30 minutes before the hacking begins, wander around and familiarize yourselves.
There is a navigation page. We have a working table directory. https://wikimania.wikimedia.org/wiki/2019:Hackathon/TableDirectory

White t-shirts are volunteers to help you find a hack.

Table 1 & 2 in Hacking Space 1 = help. Find that first.

Start with a sign for your table.
Add your name to the Telegram and IRC channels.
Telegram: https://t.me/wmhack (social), https://t.me/wmhack19stockholm (announcements)
IRC: #wmhack on Freenode (linked to the Telegram channel)

Catering and Coffee

All the food will be served in this building. Food will only be available during certain hours.

There are also coffee shops around the campus where you can get expresso and muffins.

Social events and Night hacking

Day hacking: Fri-Sun - hacking room
Night hacking: Clarion Hotel (Wed-Saturday) -- check the Wiki https://w.wiki/75P
Wednesday room is differnt from Th-Sat.
Unlimited Coffee

Tonight at 5:30 they will deliver pizza.

Colored bands and lanyards

Yellow band = organizer for the hackathon
Red band = friendly space team for the hackathon
Green = technical mentors

Volunteer: Many ways to help. Join photog group, be a mentor, help with docs.
Docs: make sure everything is tracked on Phabricator - Close tasks once finished.
Add your task to the Showcase etherpad. https://w.wiki/6sB

Mentoring program

Johan: Mentoring matching session: Many ways to be a newcomer & a mentor. If you know hackathons, be a mentor.
There is a page on the Wikimania wiki. https://wikimania.wikimedia.org/wiki/2019:Hackathon/Mentoring
At 11, there will be a matching session
Hacking space 1 is in another building - rooms 15-16 on the map.
Srishti will be your guide for newcomers for

11-11:30 in this building on the 7th floor -- room 4 -- where you can create a poster.
12-12:30 project matching session.

Not sure what to do? Consult the flowchart! https://wikimania.wikimedia.org/wiki/2019:Hackathon/program#/media/File:Navigating_a_Wikimedia_Hackathon_Flowchart.png

#wmhack = IRC
or Telegram channel https://t.me/wmhack
Ask the help desk if you can't find IRC ...

Friendly space policy team

https://wikimania.wikimedia.org/wiki/2019:Hackathon#Friendly_Space_Policy_and_Code_of_Conduct
Amir: Reminder of the highlights of FSP.
Two reminders:
Give people space to move away from you, don’t corner them.

Remember that people are human - don't be too harsh, or undermine that person if criticizing.

Code of conduct is different, both CoC and FSP apply here.
If you see an issue, please report. Red lanyard.
You can send an email to individuals or the team, or use Telegram, or in person ... and you can also report months from now.

GLAM

Sandra: One of the two focus areas is GLAM (Galleries, Libraries, Archives and Museums)
Wikimedia works a lot with cultural organizations around the world.
We have a new thing: Structured metadata in Commons.
Andre Costa works on Finding GLAMs on the general Hackathon area: https://wikimania.wikimedia.org/wiki/2019:Hackathon/GLAM_focus_area
Rotunda (hacking space 2) = tables for GLAM coordination.

Small Wiki Tool Kits focus area.

https://wikimania.wikimedia.org/wiki/2019:Small_wiki_toolkits
Birgit: Many Wikis don't have technical people.
So we're working to help communities share their skills and knowledge with each other.
... not just at Hackathon but Wikimania in general -- and places where people can come.
So if you're interested in bots, tools, gadgets, etc, come join.
Various workshops available today and tomorrow
Intro to Phabricator, intro to Cloud Services,
Wikidata Infobox workshop, Lua, bots, .
SPACE # 1 (Juristernas Hus)
There will be reminders on Telegram.

Showcase

30 participants will present their completed project -- Sunday in this room without this wall removed at 2:30
Signups: https://w.wiki/6sB
We usually do NOT get as many as 30. If we get more, we will priotize new people. 120 seconds = 2 minutes for people who use
At the end of the Showcase, announce the location of new
Keep in mind that many in the audience will not be technical, or might even be newcomers to the movement. - Please try to keep it accessible to anyone. E.g. How it fits into the movement, background, how far along you are, etc.

Open mic

30-90 seconds to explain what you're going to work on, and how people can help you. REMINDER: This is livestreamed.

Maxime Lathulière: will be working on wikibase javascript tools. Moving from wiibase-agnostic js tools. Need help in this with Wikibase experts. Also Wikibase-CLI. Also list of authors

Finn Nielsen: Scholia webservice to get info about authors. Java based tool. Internationalization -- how to translate - we want help wit this. Useability testing help requested. Happy to show Scholia to newbs

Léa Lacroix and Aeron the dragon: Documentation for newcomers on Wikidata, and Translate documentation into as many languages as possible. Hacking space 2 in the rotunda

Richard / User:Pharos: Wikispore - wikification - https://phabricator.wikimedia.org/T230424

Amir Aharoni: I work with languages. If anything doesn't work well in your language, see Amir

Andrew Lih: 1. Syncing an entire collection to Wikidata and roundtripping that. 2. AI to recongize features in art works to add to Wikidata. 3. Increasing use of wikidata first in edithons

Marshall Miller -Growth team: want to help new people find what they want. See esp. team upstairs at 2 PM

Hugo Lopez: Lingua Libre - https://phabricator.wikimedia.org/tag/lingua_libre/ 150,000 words -- intro = 10 minutes for [?]

Amir Sarabadani / user:ladsgroup-- Interface admins in any Wiki: I want to talk to you, to help reduce the CSS load from Wikimedia commons. Template Data = fancy and new. Move away CSS to make Wikis faster. https://phabricator.wikimedia.org/T228604

hadyelsahar and Lucie (Frimelle)-- Scribe: Some Wikipedias have many articles, others few. Want high quality articles.

Susanna Ånäs -- Wikidocumentation also searches GLAM - https://phabricator.wikimedia.org/T229724 -- Now we need to allow user registration - we need help with this.

Adam Wight: Edit conflict resolution - trying to reduce the problem in talk pages. Working with the German technical wishes team.

Maximillian Doer / user:Cyberpower678 : Internet Archive bot for various Wikipedias. lacking documentation. + JS / CSS developers to improve the code

Johanna: WMDE Tech wishes team. Tempates: how to make working with them easier.
Raja, WMDE: Wikidata bridge -- testing a design prototype.

Lucas: new user script for structured data on commons. would love to work with others on things related to Wikidata or Structured Data on Commons, please ping

Caroline: designer -- usability tests. Usertalkpages, history pages, diffs. business cards with QR codes so you can do the survey later.

Angie product manager to bring new people from emerging markets. Looking for help evaluating prototypes.

C Scott - Wikitext parsing team. If you need help with wikitext, templates, fixing templates, template workflows, visual editor, come talk to us. I'm interested in Scribe / conflict resolution. Interested in hacking on annotation, translation, realtime collaboration, ways to protect vulnerable users, and more!

Leila: Research team. We'll be at the research table - we can help. Converting your questions to research questions + word alignments across languages

Honor Moody - librarian from the US using regex and [growl?] to convert [?]. English Grau for other languages

Matt from Wikimedia Estonia
Need a tool to show contributions to a hackathon
Got the President of Estonia to participate.
Light visualization tool to show

Iobotic : to connect to Commons & Wikidata.
Can alighn historic picture to a current view.
Wikimedia Finland
Geotagging and mobile appthat displays historical images over contemporary view. Would hope to integrate this with Commons app.

Nicolas Vigneron - Wikisource -- come find me!

Lionel from Belgium -- ideas around audiovisual experience for people who have difficulty reading. Will do a poster.

Sebastian Wallroth: Podcasts. I ask Wikimedians questions like: What would be your first orders as King (or Queen) of Wikipedia?

  • Make a poster to advertise how people can get involved? (11-11:30) in Hacking Space 1.

Group photo

?: Podcasts. I ask Wikimedians questions like: What would be your first orders as King (or Queen) of Wikipedia?

I later found out that this was Sebastian Wallroth (instead of the “?”). I already added that to the etherpad because I didn’t realize you’d added this comment – can you, after copying the content over again (in case there were any other edits), please blank the etherpad so everyone knows that it should only be edited here and the two versions don’t get further out of sync?

can you, after copying the content over again (in case there were any other edits), please blank the etherpad so everyone knows that it should only be edited here and the two versions don’t get further out of sync?

I've updated above. I've also blanked the authorship colors on the etherpad, and left a note to ping me here if any updates are made there. I think that's the easiest method. Thanks!

Rfarrand closed this task as Resolved.Sep 5 2019, 5:11 PM

Thank you everyone!!!! :)